summaryrefslogtreecommitdiffstats
path: root/games/mupen64plus-input-raphnetraw
diff options
context:
space:
mode:
author Steven Voges <svoges.sbo@gmail.com>2023-09-02 09:57:54 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-09-02 18:02:27 +0700
commitbc756d69e9275cb8747c747fa5cbd6a0ae963610 (patch)
tree7b00882933b9e988806df2e763748ca9cd57ca7a /games/mupen64plus-input-raphnetraw
parentcadf181e59de77fdf879406fc4fcc98f7f240806 (diff)
downloadslackbuilds-bc756d69e9275cb8747c747fa5cbd6a0ae963610.tar.gz
slackbuilds-bc756d69e9275cb8747c747fa5cbd6a0ae963610.tar.xz
games/mupen64plus-input-raphnetraw: Added (emulator plugin).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/mupen64plus-input-raphnetraw')
-rw-r--r--games/mupen64plus-input-raphnetraw/README35
-rw-r--r--games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.SlackBuild104
-rw-r--r--games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.info10
-rw-r--r--games/mupen64plus-input-raphnetraw/slack-desc19
4 files changed, 168 insertions, 0 deletions
diff --git a/games/mupen64plus-input-raphnetraw/README b/games/mupen64plus-input-raphnetraw/README
new file mode 100644
index 0000000000..b8fd9e8fe8
--- /dev/null
+++ b/games/mupen64plus-input-raphnetraw/README
@@ -0,0 +1,35 @@
+mupen64plus plugin that uses the direct controller access feature
+offered by raphnet's N64 to USB adapters to let the emulated game
+communicate with the controllers directly.
+
+Advantages:
+ * No calibration required. As the game talks to the controller
+ directly, it reads exactly the same axis values it would in a
+ non-emulated setup. In other words, the controller works, responds
+ and feels exactly as it would in real life.
+ * Low latency. When the game must read the controller, the request is
+ forwarded directly to the controller by the adapter. The later
+ immediately returns the controller's answer to the game.
+ * Expansion accessory support without emulator configuration. Insert
+ the accessory and you're good to go!
+
+Supported accessories:
+ * Rumble pak
+ * Controller pak (Memory pak)[1]
+ * Transfer pak[1]
+ * Bio sensor
+
+Support for peripherals other than controllers.
+ * N64 mouse (tested)
+ * VRU (confirmed by users, requires special ports1_4 version of the
+ plugin)[1]
+ * N64 Keyboard (not confirmed)
+
+Supported adapters:
+ * N64 to USB adapter - V3
+ * Dual N64 controller to USB adapter
+ * N64/Gamecube to USB adapter - V3
+
+[1] When accessories transfer a lot of data, such as a Controller Pak,
+ Transfer Pak or VRU, there are audio issues (small pauses) and
+ temporary game slow downs.
diff --git a/games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.SlackBuild b/games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.SlackBuild
new file mode 100644
index 0000000000..c565f67175
--- /dev/null
+++ b/games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for mupen64plus-input-raphnetraw
+
+# Copyright 2023 Steven Voges <Oregon, USA>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mupen64plus-input-raphnetraw
+VERSION=${VERSION:-20210226_8611241}
+SRCVER=${SRCVER:-86112413e98a8648edb11d199673cc24d5799af8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i "43d" src/plugin_front.c
+
+echo "-------- Building input-raphnetraw plugin --------"
+make -C projects/unix clean $@
+make -C projects/unix all $@
+echo "-------- Installing input-raphnetraw plugin --------"
+install -Dm 755 projects/unix/$PRGNAM.so $PKG/usr/lib$LIBDIRSUFFIX/mupen64plus/$PRGNAM.so
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING LICENSES README.md RELEASE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.info b/games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.info
new file mode 100644
index 0000000000..c69f9305e9
--- /dev/null
+++ b/games/mupen64plus-input-raphnetraw/mupen64plus-input-raphnetraw.info
@@ -0,0 +1,10 @@
+PRGNAM="mupen64plus-input-raphnetraw"
+VERSION="20210226_8611241"
+HOMEPAGE="https://www.raphnet-tech.com/products/raphnetraw/index.php"
+DOWNLOAD="https://github.com/raphnet/mupen64plus-input-raphnetraw/archive/86112413e98a8648edb11d199673cc24d5799af8/mupen64plus-input-raphnetraw-86112413e98a8648edb11d199673cc24d5799af8.tar.gz"
+MD5SUM="32f386e8e67972f8657f27a86f178a39"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="hidapi mupen64plus"
+MAINTAINER="Steven Voges"
+EMAIL="svoges.sbo@gmail.com"
diff --git a/games/mupen64plus-input-raphnetraw/slack-desc b/games/mupen64plus-input-raphnetraw/slack-desc
new file mode 100644
index 0000000000..684bef7455
--- /dev/null
+++ b/games/mupen64plus-input-raphnetraw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mupen64plus-input-raphnetraw: mupen64plus-input-raphnetraw (Input plugin for mupen64plus)
+mupen64plus-input-raphnetraw:
+mupen64plus-input-raphnetraw: mupen64plus plugin to let the game communicate with the controllers
+mupen64plus-input-raphnetraw: directly.
+mupen64plus-input-raphnetraw:
+mupen64plus-input-raphnetraw: Homepage: https://www.raphnet-tech.com/products/raphnetraw/index.php
+mupen64plus-input-raphnetraw:
+mupen64plus-input-raphnetraw:
+mupen64plus-input-raphnetraw:
+mupen64plus-input-raphnetraw:
+mupen64plus-input-raphnetraw: